%define name GtkScintilla
%define version 0.8.2
%define release 1mdk

%define major 0
%define libname lib%{name}%{major}

Summary: GtkScintilla - A wrapper for Scintilla editing component
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Url: http://www.micampe.it/software/moleskine
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libgtk+1.2-devel

%description
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).

%package -n %libname
Summary: GtkScintilla - A wrapper for Scintilla editing component
Group: System/Libraries

%description -n %libname
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).

%package -n %libname-devel
Summary: GtkScintilla - A wrapper for Scintilla editing component
Group: Development/Other
Provides: libGtkScintilla-devel 
Obsoletes: libGtkScintilla-devel
Requires: %libname = %version

%description -n %libname-devel
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).


%prep
%setup -q

%build
%make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -fr $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%doc COPYING README 
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Thu Jan 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- libification
- from Austin Acton <aacton@yorku.ca> :
	- initial package
